/* Loveland, Ohio; a catppuccinian theme for Yellow;
forked from Berlin, https://github.com/annaesvensson/yellow-berlin */

/* Colors and fonts; catppuccin-latte */

:root {
  --bg: #eff1f5;
  /* base */
  --code-bg: #dce0e8;
  /* crust */
  --notice1-bg: #ccd0da80;
  /* surface0 */
  --notice2-bg: #bcc0cc80;
  /* surface1 */
  --notice3-bg: #acb0be80;
  /* surface2 */
  --header-bg: #4c4f69;
  /* text */
  --header-link: #eff1f5;
  /* base */
  --header-link-active: #f5e0dc;
  /* mocha-rosewater */
  --heading: #4c4f69;
  /* text */
  --heading-light: #6c6f85;
  /* subtext0 */
  --text: #4c4f69;
  /* text */
  --code: #4c4f69;
  /* text */
  --link: #07287f;
  /* lavender */
  --blockquote-accent: #e6e9ef;
  /* mantle */
  --separator: #04a5e5;
  /* sky */
  --hover: #04a5e5;
  /* sky */
  --border: #7287fd;
  /* lavender */
  --font: "Victor Mono", Helvetica, sans-serif;
  --monospace-font: "Victor Mono", Consolas, Menlo, Courier, monospace;
}

@font-face {
  font-family: "Victor Mono";
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(loveland-VictorMono-Light.woff) format("woff");
}

@font-face {
  font-family: "Victor Mono";
  font-style: italic;
  font-weight: 300;
  font-display: swap;
  src: url(loveland-VictorMono-LightItalic.woff) format("woff");
}

@font-face {
  font-family: "Victor Mono";
  font-style: normal;
  font-weight: 700;
  font-display: swap;
  src: url(loveland-VictorMono-Bold.woff) format("woff");
}

@font-face {
  font-family: "Victor Mono";
  font-style: italic;
  font-weight: 700;
  font-display: swap;
  src: url(loveland-VictorMono-BoldItalic.woff) format("woff");
}

/* General */

html,
body,
div,
form,
pre,
span,
tr,
th,
td,
img {
  margin: 0;
  padding: 0;
  border: 0;
  vertical-align: baseline;
}

body {
  background-color: var(--bg);
  color: var(--text);
  font-family: var(--font);
  font-size: 1em;
  font-weight: 300;
  line-height: 1.5;
  letter-spacing: -0.044rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: 700;
  letter-spacing: 0;
}

h1 {
  font-size: 2.9em;
  color: var(--heading);
}

h2 {
  font-size: 1.6em;
  color: var(--heading-light);
}

h3 {
  font-size: 1.5em;
  color: var(--heading-light);
}

hr {
  height: 1px;
  background: var(--separator);
  border: 0;
}

strong {
  font-weight: bold;
}

code {
  font-size: 1.1em;
  letter-spacing: 0;
}

a {
  color: var(--link);
  text-decoration: underline;
}

a:hover {
  color: var(--hover);
  text-decoration: wavy underline;
}

/* Content */

.content h1 a {
  color: var(--heading);
  text-decoration: none;
}

.content h1 a:hover {
  text-decoration: wavy underline;
}

.content img {
  max-width: 100%;
  height: auto;
}

.content form {
  margin: 1em 0;
}

.content table {
  border-spacing: 0;
  border-collapse: collapse;
}

.content th:not([align]) {
  text-align: left;
}

.content th,
.content td {
  padding: 0.3em;
  padding-left: 2em;
}

.content th:first-child,
.content td:first-child {
  padding: 0.3em;
}

.content td {
  border-top: 1px solid var(--separator);
  border-bottom: 1px solid var(--separator);
}

.content code,
.content pre {
  font-family: var(--monospace-font);
  font-size: 90%;
}

.content code {
  padding: 0.15em 0.4em;
  margin: 0;
  background-color: var(--code-bg);
  color: var(--code);
  border-radius: 3px;
  letter-spacing: 0;
}

.content pre>code {
  padding: 0;
  margin: 0;
  white-space: pre;
  background: transparent;
  border: 0;
  font-size: inherit;
}

.content pre {
  padding: 1em;
  overflow: auto;
  line-height: 1.45;
  background-color: var(--code-bg);
  color: var(--code);
  border-radius: 3px;
}

.content blockquote {
  margin-left: 0;
  padding-left: 1em;
  border-left: 1px solid var(--blockquote-accent);
}

.content .notice1 {
  margin: 1em 0;
  padding: 10px 1em;
  background-color: var(--notice1-bg);
  border-radius: 3px;
  font-size: 1.1em;
  letter-spacing: -0.044rem;
}

.content .notice2 {
  margin: 1em 0;
  padding: 10px 1em;
  background-color: var(--notice2-bg);
  border-radius: 3px;
  font-size: 1.1em;
  letter-spacing: -0.02rem;
}

.content .notice3,
.content .notice4,
.content .notice5,
.content .notice6 {
  margin: 1em 0;
  padding: 10px 1em;
  background-color: var(--notice3-bg);
  border-radius: 3px;
  font-size: 1.1em;
  letter-spacing: 0;
}

.content .flexible {
  position: relative;
  padding-top: 0;
  padding-bottom: 56.25%;
}

.content .flexible iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.content .task-list-item {
  list-style-type: none;
}

.content .task-list-item input {
  margin: 0 0.2em 0.25em -1.75em;
  vertical-align: middle;
}

.content .toc {
  margin: 0;
  padding: 0;
  list-style: none;
}

.content .previousnext .previous {
  margin-right: 1em;
}

.content .pagination .previous {
  margin-right: 1em;
}

.content .pagination {
  margin: 1em 0;
}

.content .left {
  float: left;
  margin: 0 1em 0 0;
}

.content .center {
  display: block;
  margin: 0 auto;
}

.content .right {
  float: right;
  margin: 0 0 0 1em;
}

.content .rounded {
  border-radius: 4px;
}

/* Header */

.header {
  background-color: var(--header-bg);
}

.header .sitename {
  display: none;
}

/* Navigation */

.navigation {
  line-height: 2.5;
}

.navigation a {
  color: var(--header-link);
  margin-right: 2em;
  display: inline-block;
  text-decoration: none;
}

.navigation a:hover {
  color: var(--header-link-active);
  transition: color 0.2s;
  text-decoration: wavy underline;
}

.navigation ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

.navigation li a.active {
  color: var(--header-link-active);
}

.navigation li {
  display: inline;
}

/* Footer */

.footer {
  margin-top: 2em;
  background: var(--bg);
}

/* Siteinfo */

.siteinfo {
  font-size: 0.8em;
}

/* Sidebar */

.with-sidebar .main {
  margin-right: 17em;
}

.with-sidebar .sidebar {
  float: right;
  width: 16em;
  margin-top: 6.8em;
  padding: 2px;
  overflow: hidden;
  font-size: 0.9em;
}

.with-sidebar .sidebar .search-form input {
  width: 100%;
  box-sizing: border-box;
}

.with-sidebar .content:after {
  content: "";
  display: table;
  clear: both;
}

/* Forms and buttons */

.form-control {
  margin: 0;
  padding: 2px 4px;
  display: inline-block;
  min-width: 7em;
  background-color: var(--bg);
  color: var(--text);
  background-image: linear-gradient(to bottom, var(--bg), var(--bg));
  border: 1px solid var(--border);
  border-radius: 4px;
  font-size: 0.9em;
  font-family: inherit;
  font-weight: normal;
  line-height: normal;
}

.btn {
  margin: 0;
  padding: 4px 22px;
  display: inline-block;
  min-width: 7em;
  background-color: #eaeaea;
  color: #333333;
  background-image: linear-gradient(to bottom, #f8f8f8, #e1e1e1);
  border: 1px solid var(--border);
  border-color: #c1c1c1 #c1c1c1 #aaaaaa;
  border-radius: 4px;
  outline-offset: -2px;
  font-size: 0.9em;
  font-family: inherit;
  font-weight: normal;
  line-height: 1;
  text-align: center;
  text-decoration: none;
  box-sizing: border-box;
}

.btn:hover,
.btn:focus,
.btn:active {
  color: #333333;
  background-image: none;
  text-decoration: none;
}

.btn:active {
  box-shadow: inset 0 2px 4px rgba(0, 0, 0, 0.1);
}

/* Responsive and print */

.content,
.siteinfo {
  margin: 0 auto;
  padding: 0 1em;
  max-width: 1000px;
}

.navigation {
  margin: 0 auto;
  padding: 0 1em;
  max-width: 1000px;
}

.yellow-bar {
  margin: 0em auto;
  padding: 0.7em 1em;
  max-width: 1000px;
}

.yellow-bar a {
  color: var(--text);
  text-decoration: none;
}

.yellow-bar a:hover {
  color: var(--text);
  text-decoration: underline;
}

.yellow-dropdown a {
  color: var(--text);
}

.yellow-dropdown a:hover,
.yellow-toolbar a:hover {
  background-color: #f90;
  border-color: #f90;
}

.yellow-toolbar .yellow-toolbar-btn-edit {
  background-color: #fa1;
  border-color: #fa1;
  color: #fff;
}

.yellow-toolbar .yellow-toolbar-btn-create {
  background-color: #fa1;
  border-color: #fa1;
  color: #fff;
}

.yellow-pane form h1 {
  font-size: 2.5em;
}

@media screen and (max-width: 32em) {
  body {
    font-size: 0.9em;
  }

  .content h1,
  .content h2 {
    font-size: 1.6em;
  }

  .with-sidebar .main {
    margin-right: 0;
  }

  .with-sidebar .sidebar {
    display: none;
  }
}

@media print {
  .page {
    border: none !important;
  }
}